<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head th:replace="fragment/fragment.html :: head(title='Modification Client')">
</head>

    <body>
        <div th:insert="fragment/fragment.html :: header"></div>
        <div class="index">
            <nav th:replace="fragment/fragment.html :: nav"></nav>
            <main title="Information client" class="formular">
		<div th:switch="${customer}">
			<h2 th:case="null">Pas de client!</h2>
			<div th:case="*">
            <div>
            <form method="post" action="#" th:action="@{/updateCustomer/{customerId}(customerId=${id})}" th:object="${customerForm}">
                <fieldset form="client" title="client">
                    <legend class="titre">Champs obligatoires : *</legend>
                    <div class="formular__field">
                        <label for="lastname" class="formular__label">Nom du client * :</label>
                        <input type="text" id="lastname" th:field="*{lastname}" required autocomplete="family-name"><span th:if="${#fields.hasErrors('lastname')}" th:errors="*{lastname}" class="text-danger"></span>                       
                    </div>
                    <div class="formular__field">
                        <label for="firstname" class="formular__label">Prénom du client * :</label>
                        <input type="text" id="firstname" th:field="*{firstname}" required autocomplete="given-name"><span th:if="${#fields.hasErrors('firstname')}" th:errors="*{firstname}" class="text-danger"></span>                        
                    </div>
                    <div class="formular__field">
                        <label for="company" class="formular__label">Entreprise * :</label>
                        <input type="text" id="company" th:field="*{company}" required autocomplete="organization"><span th:if="${#fields.hasErrors('company')}" th:errors="*{company}" class="text-danger"></span>                        
                    </div>
                    <div class="formular__field">
                        <label for="mail" class="formular__label">Adresse Email * : (robert.dupont@gmail.fr)</label>
                        <input type="email" id="mail" th:field="*{mail}" required autocomplete="email"><span th:if="${#fields.hasErrors('mail')}" th:errors="*{mail}" class="text-danger"></span>                        
                    </div>
                    <div class="formular__field">
                        <label for="phone" class="formular__label">Téléphone fixe : (ex : 0102030405)</label>
                        <input type="tel" id="phone" th:field="*{phone}" autocomplete="tel"><span th:if="${#fields.hasErrors('phone')}" th:errors="*{phone}" class="text-danger"></span>                        
                    </div>
                    <div class="formular__field">
                        <label for="mobile" class="formular__label">Téléphone mobile : (ex : 0605040302)</label>
                        <input type="tel" id="mobile" th:field="*{mobile}" autocomplete="mobile"><span th:if="${#fields.hasErrors('mobile')}" th:errors="*{mobile}" class="text-danger"></span>                        
                    </div>
                    <div class="formular__field">
                        <label for="notes" class="formular__label formular__label--note">Note spécifique :</label>
                        <textarea th:field="*{notes}" id="notes" cols="20" rows="10"></textarea>                        
                    </div>
                    <div class="formular__field">
                        <label for="state" class="formular__label">Etat</label>
                        <select name="state" id="state" th:field="*{active}"> 
                        	<option value="">--choississez un état--</option>
                        	<option value="true" >Client</option>
                        	<option value="false" >Prospect</option>
                        </select>	                     
                    </div>
                    <span class="formular__button">
                        <a th:href="@{/listCustomers}" type="reset" class="bouton formular__target formular__target--cancel"><span class="fa-solid fa-xmark"></span>Annuler</a>
                        <button type="submit" class="bouton formular__target"><span class="fa-solid fa-check"></span>Modifier</button>
                    </span>
                </fieldset>
            </form>
            </div>
            </div>
            </div>

        </main>
        <aside class="aside">
			<img class="aside__logo" src="/asset/images/crm_poecahontas.jpg"
				alt="poecahontas" title="poecahontas" />
			<div class="aside__fonction">
			</div>
		</aside>
        </div>
        <script src="/asset/script/time.js"></script>
    </body>
</html>